Loading...
Searching...
No Matches
BALL::LogStreamBuf::StreamStruct Struct Reference

`#include <BALL/COMMON/logStream.h>`

## Public Member Functions

| StreamStruct ()
| ~StreamStruct ()

## Public Attributes

std::ostream * | stream
string | prefix
int | min_level
int | max_level
LogStreamNotifier * | target
bool | disabled

## Detailed Description

Definition at line 150 of file logStream.h.

## Constructor & Destructor Documentation

## StreamStruct()

BALL::LogStreamBuf::StreamStruct::StreamStruct | ( |  | ) |

inline

Definition at line 159 of file logStream.h.

## ~StreamStruct()

BALL::LogStreamBuf::StreamStruct::~StreamStruct | ( |  | ) |

inline

Definition at line 168 of file logStream.h.

## Member Data Documentation

## disabled

bool BALL::LogStreamBuf::StreamStruct::disabled

Definition at line 157 of file logStream.h.

## max_level

int BALL::LogStreamBuf::StreamStruct::max_level

Definition at line 155 of file logStream.h.

## min_level

int BALL::LogStreamBuf::StreamStruct::min_level

Definition at line 154 of file logStream.h.

## prefix

string BALL::LogStreamBuf::StreamStruct::prefix

Definition at line 153 of file logStream.h.

## stream

std::ostream* BALL::LogStreamBuf::StreamStruct::stream

Definition at line 152 of file logStream.h.

## target

LogStreamNotifier* BALL::LogStreamBuf::StreamStruct::target

Definition at line 156 of file logStream.h.